%define set_build_flags %{nil}
%global libpcapver 1.10.5

Name: ptcpdump
Version: 0.32.1
Summary: Process-aware, eBPF-based tcpdump
Release: 1
Source0: https://github.com/mozillazg/%{name}/archive/refs/tags/v%{version}.tar.gz
Source1: https://github.com/the-tcpdump-group/libpcap/archive/refs/tags/libpcap-%{libpcapver}.tar.gz
License: MIT
BuildRequires: make
BuildRequires: gcc
BuildRequires: gcc-c++

# libpcap
BuildRequires: autoconf
BuildRequires: flex
BuildRequires: bison

# ptcpdump(static)
BuildRequires: clang
BuildRequires: golang-bin >= 1.23.0
BuildRequires: glibc-static

%description
ptcpdump is an eBPF-based implementation of tcpdump that includes an additional
feature: it adds process information as comments for each packet when available.


%prep
%setup
tar -xzvf %{SOURCE1} -C %{_builddir}/%{name}-%{version}/lib/libpcap --strip-components=1


%build
make build


#check
#make test


%install
install -D -p -m0700 -t %{buildroot}%{_sbindir} %{name}


%files
%{_sbindir}/%{name}


%changelog
* Wed Feb 12 2025 Philippe Kueck <projects@unixadm.org> - 0.32.1
- initial packaging
